com.cloudera.sqoop.lib

## Class LobSerializer

- java.lang.Object
- - com.cloudera.sqoop.lib.LobSerializer

- Deprecated.
  use org.apache.sqoop.lib.LobSerializer instead.

      public final class LobSerializer
      extends java.lang.Object

  Serialize LOB classes to/from DataInput and DataOutput objects.
  See Also:
    `LobSerializer`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlobRef` | `readBlobFields(java.io.DataInput in)` Deprecated.
    `static ClobRef` | `readClobFields(java.io.DataInput in)` Deprecated.
    `static void` | `writeBlob(BlobRef blob, java.io.DataOutput out)` Deprecated.
    `static void` | `writeClob(ClobRef clob, java.io.DataOutput out)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeClob

          public static void writeClob(ClobRef clob,
                       java.io.DataOutput out)
                                throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeBlob

          public static void writeBlob(BlobRef blob,
                       java.io.DataOutput out)
                                throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### readClobFields

          public static ClobRef readClobFields(java.io.DataInput in)
                                        throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### readBlobFields

          public static BlobRef readBlobFields(java.io.DataInput in)
                                        throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

Copyright © 2015 The Apache Software Foundation